import React from "react";
import { SafeAreaProvider } from "react-native-safe-area-context";
import { QueryClient, QueryClientProvider } from "@tanstack/react-query";
/** :{reduxToolkit} import { Provider as ReduxProvider } from "react-redux"; */

/** :{i18n} import IntlProvider from "context/intl"; */
import ThemeProvider from "context/theme";
import Routes from "src/routes";
/** :{reduxToolkit} import store from "store/index"; */

const queryClient = new QueryClient();

const App = () => {
  return (
    <SafeAreaProvider>
      {/** :{reduxToolkit} <ReduxProvider store={store}> */}
      <QueryClientProvider client={queryClient}>
        {/** :{i18n} <IntlProvider> */}
        <ThemeProvider>
          <Routes />
        </ThemeProvider>
        {/** :{i18n} </IntlProvider> */}
      </QueryClientProvider>
      {/** :{reduxToolkit} </ReduxProvider> */}
    </SafeAreaProvider>
  );
};

export default App;
