import * as endpoints from "constants/endpoints";

/**
 * Refactor these Get types with the types you need within your application.
 */

type GetRequestID = {
  id: number;
};

// Posts
export type GetResponsePost = {
  userId: number;
  id: number;
  title: string;
  body: string;
};

type GetRequestPosts = {
  userId?: number;
};

{/** :{examples} // Albums
export type GetResponseAlbum = {
  userId: number;
  id: number;
  title: string;
};

type GetRequestAlbums = {
  userId?: number;
};

// PHOTOS
export type GetResponsePhoto = {
  albumId: number;
  id: number;
  title: string;
  url: string;
  thumbnailUrl: string;
}; */}

// Request types
export type RequestMapGet = {
  [endpoints.POSTS]: GetRequestPosts;
  [endpoints.POST]: GetRequestID;
  /** :{examples} [endpoints.ALBUMS]: GetRequestAlbums; */
  /** :{examples} [endpoints.PHOTO]: GetRequestID; */
};

// Response types
export type ResponseMapGet = {
  [endpoints.POSTS]: GetResponsePost[];
  [endpoints.POST]: GetResponsePost;
  /** :{examples} [endpoints.ALBUMS]: GetResponseAlbum[]; */
  /** :{examples} [endpoints.PHOTO]: GetResponsePhoto; */
};
