import * as PostsService from "services/posts";
import { transformPost, transformPosts } from "transforms/posts";
import connectServiceToTransformer from "utils/connect-service-to-transformer";

const getPosts = connectServiceToTransformer(
  PostsService.getPosts,
  transformPosts
);

const getPost = connectServiceToTransformer(
  PostsService.getPost,
  transformPost
);

{/** :{examples} const createPost = connectServiceToTransformer(
  PostsService.createPost,
  transformPost
);

const updatePost = connectServiceToTransformer(
  PostsService.updatePost,
  transformPost
); */}

/** :{examples} const { deletePost } = PostsService; */

/** :{examples} export { getPosts, getPost, createPost, updatePost, deletePost }; */
/** :{!examples} export { getPosts, getPost }; */
