import { configureStore } from "@reduxjs/toolkit";

import rootReducer from "store/rootReducer";

// For more advanced functionality check docs https://redux-toolkit.js.org/api/createEntityAdapter

const store = configureStore({
  reducer: rootReducer,
  middleware: (getDefaultMiddleware) => {
    const middleware = getDefaultMiddleware();
    if (__DEV__) {
      // eslint-disable-next-line import/no-extraneous-dependencies, @typescript-eslint/no-var-requires, global-require
      const createDebugger = require("redux-flipper").default;
      middleware.push(createDebugger());
    }
    return middleware;
  },
});

export type RootState = ReturnType<typeof store.getState>;

export type AppDispatch = typeof store.dispatch;

export default store;
