/* eslint-disable no-param-reassign */
import { createSlice, PayloadAction } from "@reduxjs/toolkit";

export type AppearanceMode = "sync" | "light" | "dark";

type AppSettings = {
  appearance: AppearanceMode;
};

const initialState: AppSettings = {
  appearance: "sync",
};

const appSettings = createSlice({
  name: "appSettings",
  initialState,
  reducers: {
    setAppearance: (state, action: PayloadAction<AppearanceMode>) => {
      state.appearance = action.payload;
    },
  },
});

export const { setAppearance } = appSettings.actions;

export default appSettings.reducer;
