import { GetResponsePhoto } from "models/api-get";
import { isArray, isNum, isString } from "utils/check-type";

export const transformPhoto = (data: any): GetResponsePhoto => ({
  id: isNum(data?.id),
  albumId: isNum(data?.albumId),
  title: isString(data?.title),
  url: isString(data?.url),
  thumbnailUrl: isString(data?.thumbnailUrl),
});

export const transformPhotos = (data: any): GetResponsePhoto[] =>
  isArray<any[]>(data).map(transformPhoto);
