import useMemoizedStyles from "hooks/use-memoized-styles";

const styles = () => {
  return useMemoizedStyles(({ palette, spacing }) => ({
    context: {
      display: "flex",
      flexDirection: "row",
      margin: spacing(1),
      backgroundColor: palette.primary.dark,
      borderRadius: spacing(2),
      overflow: "hidden",
    },
    description: {
      color: palette.common.gray300,
      padding: spacing(4),
      maxWidth: "90%",
    },
    photo: {
      width: 20,
      height: 20,
      alignSelf: "center",
    },
  }))
};

export default styles;
