import React from "react";
import { Image, Text, View } from "react-native";

import { usePhoto } from "hooks/use-photos";
import { GetResponseAlbum } from "models/api-get";

import styles from "./album.style";

type Props = {
  album: GetResponseAlbum;
};

const Album = ({ album }: Props) => {
  const $ = styles();
  const { data: photo } = usePhoto(album.id);
  return (
    <View style={$.context}>
      <Text style={$.description}>{album.title}</Text>
      <Image style={$.photo} source={{ uri: photo?.thumbnailUrl }} />
    </View>
  );
};

export default Album;
