import useMemoizedStyles from "hooks/use-memoized-styles";

const styles = () => {
  return useMemoizedStyles(({ palette, spacing, shadow }) => ({
    label: {
      flex: 1,
      textAlign: "center",
    },
    selector: {
      flexDirection: "row",
      alignItems: "center",
      backgroundColor: palette.common.gray300,
      height: spacing(10),
      width: "100%",
      borderRadius: spacing(1),
    },
    dropdown: {
      position: "absolute",
      borderRadius: spacing(1),
      backgroundColor: palette.common.gray300,
      shadowColor: shadow.shadowColor,
      shadowRadius: shadow.shadowRadius,
      shadowOffset: shadow.shadowOffset,
      shadowOpacity: shadow.shadowOpacity,
    },
    overlay: {
      width: "100%",
      height: "100%",
    },
    item: {
      paddingHorizontal: 10,
      paddingVertical: 10,
    },
    chevron: {
      position: "absolute",
      right: 10,
    },
  }));
};

export default styles;
