import useMemoizedStyles from "hooks/use-memoized-styles";

const styles = () => {
  return useMemoizedStyles(({ palette, typography, spacing }) => ({
    context: {
      display: "flex",
      flexDirection: "column",
      margin: spacing(2),
      backgroundColor: palette.primary.dark,
      borderRadius: spacing(2),
      overflow: "hidden",
    },
    title: {
      color: palette.common.gray200,
      fontWeight: typography.primary.fontWeights.bold,
      textAlign: "center",
      margin: spacing(2),
    },
    body: {
      color: palette.common.gray500,
      padding: spacing(2),
    },
  }))
};

export default styles;
