import React, { PropsWithChildren } from "react";
import { Appearance, useColorScheme } from "react-native";

import { THEME, THEME_DARK } from "constants/theme";
{/** :{reduxToolkit} import useCurrentAppearance from "hooks/use-appearance";
import store from "store/index";
import { selectAppearance } from "store/selectors/app-settings";
import { AppearanceMode } from "store/slices/app-settings"; */}

/** Gets the theme based on if dark mode is enabled */
{/** :{reduxToolkit} const getTheme = (scheme: AppearanceMode) => {
  let isDark = false;

  switch (scheme) {
    case "sync":
      isDark = Appearance.getColorScheme() === "dark";
      break;
    case "dark":
      isDark = true;
      break;
    default:
      isDark = false;
  }

  const themeApp = isDark ? THEME_DARK : THEME;
  return {
    isDark,
    ...themeApp,
  };
}; */}

{/** :{!reduxToolkit} const getTheme = (isDark: boolean) => {
  const themeApp = isDark ? THEME_DARK : THEME;
  return {
    isDark,
    ...themeApp,
  };
}; */}

{/** :{reduxToolkit} export const ThemeContext = React.createContext(
  getTheme(selectAppearance(store.getState()))
); */}

{/** :{!reduxToolkit} export const ThemeContext = React.createContext(
  getTheme(Appearance.getColorScheme() === "dark")
); */}

/** Creates a theme object to provide the app with colors, font sizes, etc. */
const ThemeProvider: React.FC<PropsWithChildren> = ({ children }) => {
  const scheme = useColorScheme();
  /** :{!reduxToolkit} const isDark = scheme === "dark"; */
  /** :{!reduxToolkit} const theme = React.useMemo(() => getTheme(isDark), [isDark]); */
  /** :{reduxToolkit} const appearanceMode = useCurrentAppearance(); */
  /** :{reduxToolkit} const theme = React.useMemo(() => getTheme(appearanceMode), [scheme, appearanceMode]); */

  return (
    <ThemeContext.Provider value={theme}>{children}</ThemeContext.Provider>
  );
};

export default ThemeProvider;
