import * as AlbumRepository from "repositories/albums";

import { useQuery, UseQueryOptions } from "@tanstack/react-query";

import * as endpoints from "constants/endpoints";

type Evolutions = Awaited<
  ReturnType<typeof AlbumRepository.getAlbums>
>;

export const useAlbums = (
  userId?: number,
  options?: Omit<UseQueryOptions<Evolutions>, "queryKey" | "queryFn">
) => {
  return useQuery(
    [endpoints.ALBUMS, userId],
    () => {
      return AlbumRepository.getAlbums(userId);
    },
    options
  );
};
