import { useContext } from "react";

import { Language } from "context/intl";

export const useLanguage = () => {
  const context = useContext(Language);
  if (!context)
    throw new Error(
      "No Language.Provider found when calling useLanguageContext."
    );
  return context;
};
