import * as PhotoRepository from "repositories/photos";

import { useQuery, UseQueryOptions } from "@tanstack/react-query";

import * as endpoints from "constants/endpoints";

type Photo = Awaited<
  ReturnType<typeof PhotoRepository.getPhoto>
>;

export const usePhoto = (
  id: number,
  options?: Omit<UseQueryOptions<Photo>, "queryKey" | "queryFn">
) => {
  return useQuery(
    [endpoints.PHOTO, id],
    () => {
      return PhotoRepository.getPhoto(id);
    },
    options
  );
};
