import React from "react";

import { ThemeContext } from "context/theme";

/** Expose Theme context using a hook */
const useTheme = () => {
  const theme = React.useContext(ThemeContext);

  if (!theme) {
    throw new Error("useTheme must be used within the ThemeProvider");
  }

  return theme;
};

export default useTheme;
