import React from "react";
import { FlatList, View } from "react-native";

import Post from "components/post";
import { usePosts } from "hooks/use-posts";

import styles from "./tab-one.style";

const TabOne = () => {
  const $ = styles();
  const { data: posts } = usePosts();

  return (
    <View style={$.page}>
      <FlatList
        data={posts}
        renderItem={(item) => <Post post={item.item} />}
        keyExtractor={(item) => `${item.id}`}
      />
    </View>
  );
};

export default TabOne;
