import useMemoizedStyles from "hooks/use-memoized-styles";

const styles = () => {
  return useMemoizedStyles(({ palette, typography, spacing }) => ({
    page: {
      height: "100%",
      backgroundColor: palette.background,
    },
    title: {
      marginTop: 20,
      color: palette.common.white,
      textAlign: "center",
      fontSize: typography.fontSizes.x2l,
      fontWeight: typography.primary.fontWeights.bold,
    },
    description: {
      color: palette.common.gray300,
      padding: spacing(4),
    },
    context: {
      height: "85%",
      backgroundColor: palette.background,
    },
    button: {
      backgroundColor: palette.primary.dark,
      width: "80%",
      alignSelf: "center",
    },
  }))
};

export default styles;
