import { NativeStackScreenProps } from "@react-navigation/native-stack";
import React from "react";
import { FlatList, StatusBar, Text, View } from "react-native";

import Button from "components/button";
import { RootStackParamList } from "models/root-stack-param-list";

import styles from "./features.styles";

const DATA = [
  {
    key: "bd7acbea-c1b1-46c2-aed5-3ad53abb28ba",
    title: "Intergrated with Typescript and the Eslint-config-triple",
  },
  {
    key: "3ac68afc-c605-48d3-a4f8-fbd91aa97f63",
    title: "General App Theme, try using it by calling the useTheme() hook!",
  },
  {
    key: "58694a0f-3da1-471f-bd96-145571e29d72",
    title:
      "React Navigation with stack and tab navigation, to suit all your needs",
  },
  {
    key: "3ac68afc-3da1-471f-bd96-145571e29d72",
    title: "And more!",
  },
];

type Props = NativeStackScreenProps<RootStackParamList, "Features">;

const Features = ({ navigation }: Props) => {
  const $ = styles();

  return (
    <View style={$.page}>
      <StatusBar barStyle={"light-content"} />
      <View style={$.context}>
        <Text style={$.title}>What features are available?</Text>
        <Text style={$.description}>
          Congratulations, you've got the Triple advanced React Native app
          template up and running. Take advantage of this boilerplate!
        </Text>
        <FlatList
          data={DATA}
          renderItem={(item) => (
            <View>
              <Text style={$.description}>{item.item.title}</Text>
            </View>
          )}
          keyExtractor={(item) => item.key}
        ></FlatList>
      </View>
      <Button
        label={"Demo"}
        style={$.button}
        onPress={() => navigation.navigate("Tabs")}
      ></Button>
    </View>
  );
};

export default Features;
