import useMemoizedStyles from "hooks/use-memoized-styles";

const styles = () => {
  return useMemoizedStyles(({ palette, typography, spacing }) => ({
    context: {
      height: "100%",
      backgroundColor: palette.common.white,
    },
    padding: {
      padding: spacing(4),
    },
    title: {
      color: palette.common.black,
      fontWeight: typography.primary.fontWeights.bold,
    },
    setting: {
      padding: spacing(2),
      color: palette.common.black,
      fontWeight: typography.primary.fontWeights.regular,
    },
    settings: {
      display: "flex",
      flexDirection: "row",
      justifyContent: "space-between",
      padding: spacing(4),
    },
    button: {
      backgroundColor: palette.primary.dark,
      width: "80%",
      alignSelf: "center",
    },
  }));
};

export default styles;
