import { NativeStackScreenProps } from "@react-navigation/native-stack";
import React from "react";
import { StatusBar, Text, View } from "react-native";
import Logo from "svg/logo_white.svg";

import Button from "components/button";
import { RootStackParamList } from "models/root-stack-param-list";

import styles from "./welcome.styles";

type Props = NativeStackScreenProps<RootStackParamList, "Welcome">;

const Welcome = ({ navigation }: Props) => {
  const $ = styles();

  return (
    <View>
      <StatusBar barStyle={"light-content"} />
      <View style={$.context}>
        <Text style={$.title}>{`Your app is ready,\n Happy coding!`}</Text>
        <Logo width={"95%"} />
        <Text style={$.description}>
          This is the Triple React Native advanced app template. You can use the
          boilerplate code to boost your app.
        </Text>
      </View>
      <View style={$.bottomArea}>
        <Button
          label={"Explore"}
          onPress={() => navigation.navigate("Features")}
          style={$.button}
        />
      </View>
    </View>
  );
};

export default Welcome;
