import useMemoizedStyles from "hooks/use-memoized-styles";

const styles = () => {
  return useMemoizedStyles(({ palette, typography, spacing }) => ({
    description: {
      margin: spacing(8),
      color: palette.common.gray100,
      textAlign: "center",
    },
    title: {
      marginTop: spacing(4),
      color: palette.common.white,
      textAlign: "center",
      fontSize: typography.fontSizes.x2l,
    },
    context: {
      height: "85%",
      backgroundColor: palette.background,
    },
    bottomArea: {
      height: "15%",
      backgroundColor: palette.primary.dark,
      justifyContent: "center",
    },
    button: {
      alignSelf: "center",
      backgroundColor: palette.primary.main,
      width: "80%",
    },
  }))
};

export default styles;
