export const isString = (value: any) => {
  if (typeof value === "string") {
    return value;
  }
  return "";
};

export const isBool = (value: any) => {
  if (typeof value === "boolean") {
    return value;
  }
  return false;
};

export const isObject = <P>(value: any): P => {
  if (typeof value === "object" && !Array.isArray(value) && value !== null) {
    return value as P;
  }
  return {} as P;
};

export const isArray = <P>(value: any): P => {
  if (typeof value === "object" && Array.isArray(value)) {
    return value as unknown as P;
  }
  return [] as unknown as P;
};

export const isNum = (value: any) => {
  if (typeof value === "number") {
    return value;
  }
  return 0;
};
