import { NativeModules, Platform } from "react-native";

import { DEFAULT_LOCALE } from "constants/i18n";

/** Gets locale of current device, e.g.: 'en-US' */
const getDeviceLocale = (): string =>
  Platform.select({
    android: NativeModules.I18nManager.localeIdentifier,
    default: DEFAULT_LOCALE,
    ios:
      NativeModules.SettingsManager.settings.AppleLocale ||
      NativeModules.SettingsManager.settings.AppleLanguages[0],
  });

export default getDeviceLocale;
